%--- Test the tvc routines
%--- There is a slow version (tvc_slow) and a fast version (tvc)
%--- The fast version is approx. 50 times faster than the slow one but does
%--- not compute smoothed estimates
%--- The fast version has parts compiled in C
%--- If it does not work you can try and recompile with the command:
%--- mex tvc_C.c
%--- Read the comments in the two routines to understand how they work

clear

%--- Generate time series from stable regression

T=100;  %--- Number of observations (you can change it)
nreg=1;  %--- Number of regressors (you can change it)
X=[ones(T,1) randn(T,nreg)];  %--- Generate regressors X
beta=[randn(nreg+1,1) ; 1];  %--- Generate beta
y=[X randn(T,1)]*beta;  %--- Generate dependent variable y

%--- Verifies that both versions work

[capital_pi_1 small_pi_1]=tvc_slow(y,X)
[capital_pi_2 small_pi_2]=tvc(y,X)